package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabHaobanWxApplication;
import org.apache.ibatis.annotations.Param;

public interface WxApplicationMapper {
    int deleteByPrimaryKey(String wxApplicationId);

    int insertSelective(TabHaobanWxApplication record);

    TabHaobanWxApplication selectByPrimaryKey(String wxApplicationId);

    int updateByPrimaryKeySelective(TabHaobanWxApplication record);

    TabHaobanWxApplication selectBySiteIdAndWxEnterpriseId(@Param("siteId") String siteId, @Param("wxEnterpriseId") String wxEnterpriseId);

    TabHaobanWxApplication selectByWxEnterpriseIdAndApplicationType(@Param("wxEnterpriseId") String wxEnterpriseId,
                                                                    @Param("applicationType") int applicationType);

    int cancelWxApplication(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("suiteId") String suiteId);
}