package com.gic.haoban.manage.service.service;

import com.gic.haoban.manage.api.dto.WxEnterpriseDTO;
import com.gic.haoban.manage.service.entity.TabHaobanWxEnterprise;

import java.util.List;

public interface WxEnterpriseService {
	
	String add(WxEnterpriseDTO wxDTO);

	WxEnterpriseDTO selectById(String wxEnterpriseId);

	/**
	 * 通过微信企业ID查询好办企业ID
	 * @param corpId
	 * @return
     */
	TabHaobanWxEnterprise getEnterpriseBycorpId(String corpId);

	/**
	 * 通过微信企业ID查询删除状态好办企业ID
	 *
	 * @param corpId
	 * @return
	 */
	@Deprecated
	TabHaobanWxEnterprise getDelEnterpriseBycorpId(String corpId);

	void update(WxEnterpriseDTO enterpriseDTO);

	int delete(String wxEnterpriseId);

	int unbind(String wxEnterpriseId);

	TabHaobanWxEnterprise getEnterpriseBycorpIdNoStatus(String corpid);

    /**
     * 所有企业微信
     *
     * @return
     */
    List<TabHaobanWxEnterprise> listAll();
}
