package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabHaobanWxEnterprise;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

public interface WxEnterpriseMapper {
    int deleteByPrimaryKey(String wxEnterpriseId);

    int insertSelective(TabHaobanWxEnterprise record);

    TabHaobanWxEnterprise selectByPrimaryKey(String wxEnterpriseId);

    int updateByPrimaryKeySelective(TabHaobanWxEnterprise record);

    Page<TabHaobanWxEnterprise> list(@Param("keyword") String keyword,
                                     @Param("enterpriseIds") List<String> enterpriseIds,
                                     @Param("gicContactFlag") Integer gicContactFlag,
                                     @Param("version") String version,
                                     @Param("enterpriseIdsNotIn") List<String> enterpriseIdsNotIn);

    List<TabHaobanWxEnterprise> listAll();

    List<TabHaobanWxEnterprise> listByIds(@Param("enterpriseIds") Set<String> wxEnterpriseIds);

    /**
     * 得到企业bycorpid
     *
     * @param corpId     公司标识
     * @param statusFlag 状态标志
     * @return {@link TabHaobanWxEnterprise }
     * @author mozhu
     * @date 2021-12-03 16:04:31
     */
    TabHaobanWxEnterprise getEnterpriseBycorpId(@Param("corpId") String corpId, @Param("statusFlag") Integer statusFlag);

}